-- Verify camper:service on pg

begin;

select service_id
     , company_id
     , icon_name
     , name
     , description
from camper.service
where false;

select 1 / count(*) from pg_class where oid = 'camper.service'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.service'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.service'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.service'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.service'::regclass;

rollback;
